# Top-up events

Webhook callback payload for top-up lifecycle events. Delivered when a top-up transitions to `TOPUP.CONFIRMED`, `TOPUP.SETTLED`, or `TOPUP.CANCELLED`.

Endpoint: POST Top-up events
Version: 1.159.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "TOPUP.CONFIRMED", "TOPUP.SETTLED", "TOPUP.CANCELLED"

  - `object` (object, required)
    Represents a top-up funding request for an account group. After creation, the end user must send a SEPA Credit Transfer with the provided `settlement_reference` to complete the funding.

  - `object.id` (string, required)
    Top up request unique identifier.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.account_group_id` (string, required)
    Universally Unique Identifier (UUID) of the account group.

  - `object.cash_amount` (string, required)
    A positive cash amount, as a decimal string with up to two decimal places.

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR — Euro.
* GBP — Pound Sterling.
    Enum: "EUR", "GBP"

  - `object.settlement_reference` (string)
    Settlement reference to be included in the corresponding bank transfer to settle this top up.

  - `object.status` (string)
    Status of the top up
* CONFIRMED - The top up is created and confirmed.
* SETTLED - The top up is settled.
* CANCELLED - The top up is cancelled
    Enum: "CONFIRMED", "SETTLED", "CANCELLED"

  - `webhook_id` (string, required)
    Webhook unique identifier.

## Response 200:

  - `200` (unknown)
    Request has been processed successfully.

